Bug 269461 - Boot problem with 7G of memory and PAE kernel - FC7
Boot problem with 7G of memory and PAE kernel - FC7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 17:22 EDT by Cokey de Percin
Modified: 2008-06-16 22:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:16:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg file from a non PAE successful boot (16.56 KB, text/plain)
2007-09-03 14:07 EDT, Cokey de Percin
no flags Details
messages from non PAE successful boot (30.90 KB, text/plain)
2007-09-03 14:08 EDT, Cokey de Percin
no flags Details
a transcription of a formatted dump from the init failure (1.10 KB, text/plain)
2007-09-03 14:12 EDT, Cokey de Percin
no flags Details
transcription of the console abend without the dump patch (967 bytes, text/plain)
2007-09-03 14:13 EDT, Cokey de Percin
no flags Details

  None (edit)
Description Cokey de Percin 2007-08-30 17:22:09 EDT
I have an older dual processor server with 4 Gig of memory that has been running
FC5 since it was released. I tried to upgraded to 7 Gig of memory under FC5 but
the system locked up in the init phase regardless of what I did. I didn't chase
the problem because I intended to upgrade F7.

Recently I did upgrade the OS to F7 and tried the changing the memory to 7 Gig
again. Using the standard i686 kernel, it boots and runs correctly, but warns
that only 4 Gig of memory will be used and that the PAE kernel was necessary to
use the full 7 Gig.

I installed the 2.6.22.4-65.fc7PAE kernel and the system boots correctly, but
stops at the init phase. The system is not totally locked up as it will respond
to C-A-Del and reboot. The output at the time of lock up looks like this:

Switching to new root and running Init
Umounting old /dev
/proc
/sys
exec of init (/sbin/init) failed accessing a corrupted shared library
request_module: runaway loop modprobe binfmt-0397 (repeated 5 times)

I ran the memory test on the system for 8 hours or so and it found and tested
all 7 Gig. Also I have booted this system with M$ Advanced server and it
finds/uses all 7 Gig so I don't think there's anything wrong with the hardware.
The memory consists of 6 x 1G and 2 x 512M simms in two banks of 4 slots. Also,
neither moving the memory around or changing or reducing it makes any
difference. Further all the memory is the same type from the same manf. The OS
is patched up to current.

Rebooting with the original i686 kernel works correctly.

sysvinit-2.86-17

Cokey
Comment 1 Chuck Ebbert 2007-08-30 18:38:01 EDT
Can you get the boot messages with serial console or netconsole?
Comment 2 Cokey de Percin 2007-09-03 14:07:28 EDT
Created attachment 185391 [details]
dmesg file from a non PAE successful boot
Comment 3 Cokey de Percin 2007-09-03 14:08:25 EDT
Created attachment 185401 [details]
messages from non PAE successful boot
Comment 4 Cokey de Percin 2007-09-03 14:12:27 EDT
Created attachment 185411 [details]
a transcription of a formatted dump from the init failure
Comment 5 Cokey de Percin 2007-09-03 14:13:18 EDT
Created attachment 185421 [details]
transcription of the console abend without the dump patch
Comment 6 Christopher Brown 2007-10-01 10:30:06 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 7 Cokey de Percin 2007-10-01 20:05:11 EDT
The problem persists.  I'm currently up to kernel 2.6.22.5-76.fc7 and the PAE
varient still hangs.  Also, I still haven't been able to get the netconsole
working in order to get you more information.
Comment 8 Christopher Brown 2007-10-02 10:53:47 EDT
I take it running:

grep pae /proc/cpuinfo

generates some output. It would also be good to know that memtest runs without
issues. You can install it using memtest-setup as root which will give you the
option in grub if you wish.

I'm also wondering if adding mem=7168 to the boot parameters help?
Comment 9 Cokey de Percin 2007-10-02 21:18:17 EDT
grep pae /proc/cpuinfo

flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse

I ran the memory test on the system for 8 hours or so before installing F 7 and
it found and tested all 7 Gig. Also I have booted this system with M$ Advanced
server and it finds/uses all 7 Gig so I don't think there's anything wrong with
the hardware.  The memory consists of 6 x 1G and 2 x 512M simms in two banks of
4 slots. Also, neither moving the memory around or changing or reducing it makes
any difference. Further all the memory is the same type from the same manf.

mem=7168M doesn't change anything.  Still stops at the same place in the same
manner.
Comment 10 Christopher Brown 2008-01-13 14:12:21 EST
Hello Cokey,

Any update on this bug? Are you still having the same issues with a 2.6.23-based
kernel? If so could you test with 2.6.24 when it arrives and report back.

Cheers
Chris
Comment 11 Christopher Brown 2008-02-15 21:39:07 EST
Closing as per previous comment. Please re-open if this is still an issue for you.
Comment 12 Cokey de Percin 2008-03-08 14:17:26 EST
Problem persists as of kernel 2.6.25-rc4
Comment 13 Dave Jones 2008-03-11 13:34:56 EDT
This one is really puzzling.  Unfortunately bugs like this which affect specific
hardware are really tricky to diagnose.  Something that might be worth trying
would be to try and build a vanilla kernel on this machine, and see if that works.
I'm doubtful that your problem is due to any of the patches we add, but it's
always a possibility, and it'd be good to rule that out.
By doing so, we may then be able to get upstream developers interested in your bug.
I don't know if you've built kernels by hand before. If not, I just wrote up a
document explaining how to go about this at
http://fedoraproject.org/wiki/BuildingUpstreamKernel

If you have questions, I'll try to answer them and enhance the document where
necessary.  Let me know how you get on.
Comment 14 Bug Zapper 2008-05-14 10:10:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2008-06-16 22:16:35 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.